Plantronics + Polycom. Now together as Poly Logo

Does VVX600, CX600, CX3000, CX300 tls1.2 and Skype for Business 2019 support?

Highlighted
Occasional Visitor

Does VVX600, CX600, CX3000, CX300 tls1.2 and Skype for Business 2019 support?

Hello!
We purchased and use several sets of Polycom CX300, Polycom CX600, Polycom VVX600, Polycom CX3000. There are two questions:
1. Recently, we received a letter from Office 365 to discontinue support for TLS 1.0 and TLS 1.1
"Prevent/Fix: Your organization is still using TLS1.0 or TLS1.1 to connect to Exchange Online. As announced previously (most recently MC152261 in October 2018), TLS1.0 and TLS1.1 are no longer supported in Office 365 as of October 2018. Customers should no longer be using TLS1.0 and TLS1.1 to connect to Exchange Online. While no date has been set, we are working towards setting a date for their removal from the service. If either were found to be compromised before then, we would have no choice but to expedite their removal from Exchange Online. "
We use Exchange Online and Skype for Business Server 2015 hybrid. Do our equipment support TLS 1.2 operation? Is it possible to apply some kind of fix/update?

2. We are planning to migration to the Skype for Busines Server 2019, does it support it?

Thank u!

Message 1 of 4
3 REPLIES 3
Highlighted
Polycom Employee & Community Manager

Re: Does VVX600, CX600, CX3000, CX300 tls1.2 and Skype for Business 2019 support?

Hello @burangulov.rm ,

 

welcome to the Poly Community.

Please ensure you always check the FAQ's and/or utilize the community search before posting any new topics or follow up posts.

 

May 02, 2018 Question: Will Microsoft Team’s support Lync Phone Edition (LPE)?

Resolution: Whilst our Partner Microsoft originally planned to support LPE against Teams, there are multiple factors that prevent them from enabling them to work with Teams:

 

  • Mainstream support for LPE ends with April 10, 2018, see Lifecycle page for Lync Phone Edition
  • Office 365 will not support any version of TLS older than 1.2 later this year. Since the underlying operating system of LPE does not support TLS 1.2, LPE will not be supported to connect to Office 365 anymore. See Preparing for the mandatory use of TLS 1.2 in Office 365 for more details.

 

May 02, 2018 Question: Which LPE Phones will be affected by the change to TLS 1.2?

Resolution: Devices impacted are CX500, CX600, and CX3000

 

The Troi and VVX range, as long as it is compatible, will support Skype for Business on Premise no differently using Skype for Business 2015 or 2019.

 

Dec 6, 2011 Question: What Phone Models support the LYNC 2010, LYNC 2013, Microsoft Office365, Skype for Business Online or Teams?

Resolution: Please check => here <=

 

Hybrid Exchange is already supported as well as OAuth 2.0 once we release the software for it.

 

As outlined the CX Range is no longer supported once TLS is disabled you may want to consider our Trade-Up Program

 

May 02, 2018 Question: What are my options for new devices regarding an existing Skype for Business infrastructure and a potential move to Microsoft Teams?

Resolution: Please check => here <=


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 2 of 4
Highlighted
Occasional Visitor

Re: Does VVX600, CX600, CX3000, CX300 tls1.2 and Skype for Business 2019 support?

Thanks for the answer!
I still do not understand whether the CX600 and CX3000 will work with Skype for Business 2015/2019 on Prem? The problem only affects the work of the calendar from office 365? Or, the CX600 can normally retrieve email client data from a PC to display current appointments. Or will it not work at all in this configuration (SFB onprem + Exchange Online)?

 

Message 3 of 4
Highlighted
Polycom Employee & Community Manager

Re: Does VVX600, CX600, CX3000, CX300 tls1.2 and Skype for Business 2019 support?

Hello @burangulov.rm ,

Poly and other manufacturers produce these optimized for Microsoft® Lync® or Skype® for Business devices after a reference design and the embedded OS running on the phones is provided, supported and maintained by our partner Microsoft®.

You, therefore, may want to reach out to the Microsoft® community and/or Microsoft® support directly instead as this is the most direct and efficient path.

Poly is unable to comment on the support models for the CX Devices

Please try here

Best Regards

Steffen Baier

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 4 of 4